PROBE::SIGNAL.SEND(3stap)

NAME
probe::signal.send - Signal being sent to a process

SYNOPSIS

signal.send

VALUES

task
    A task handle to the signal recipient

shared
    Indicates whether the signal is shared by the thread group

pid_name
    The name of the signal recipient

sinfo
    The address of siginfo struct

sig_pid
    The PID of the process receiving the signal

name
    The name of the function used to send out the signal

sig
    The number of the signal

send2queue
    Indicates whether the signal is sent to an existing sigqueue (deprecated in SystemTap 2.1)

sig_name
    A string representation of the signal

si_code
    Indicates the signal type

CONTEXT

The signal's sender.

SEE ALSO
tapset::signal(3stap)